%global pkg haskell-mode
%global pkgname Haskell-mode

%if %($(pkg-config emacs) ; echo $?)
%global emacs_version 21.1
%global emacs_lispdir %{_datadir}/emacs/site-lisp
%global emacs_startdir %{_datadir}/emacs/site-lisp/site-start.d
%else
%global emacs_version %(pkg-config emacs --modversion)
%global emacs_lispdir %(pkg-config emacs --variable sitepkglispdir)
%global emacs_startdir %(pkg-config emacs --variable sitestartdir)
%endif

Name:		emacs-%{pkg}
Version:	2.7.0
Release:	3%{?dist}
Summary:	Haskell editing mode for Emacs

Group:		Applications/Editors
License:	GPLv3
URL:		http://projects.haskell.org/haskellmode-emacs/

Source0:	http://projects.haskell.org/haskellmode-emacs/haskell-mode-%{version}.tar.gz
Source1:	haskell-mode-init.el
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:	noarch
BuildRequires:	emacs emacs-el
Requires:	emacs >= %{emacs_version}

%description
This package adds a Haskell major mode to Emacs.  The Haskell mode
supports font locking, declaration scanning, documentation,
indentation, and interaction with Hugs and GHCi.

%package el
Summary:	Elisp source files for %{pkgname} under GNU Emacs
Group:		Applications/Editors
Requires:	%{name} = %{version}-%{release}

%description el
This package contains the elisp source files for 
Haskell-mode under GNU Emacs.

%prep
%setup -q -n %{pkg}-%{version}
%{__rm} -rf haskell-site-file.el~

%build
emacs --batch --eval '(setq load-path (cons "." load-path))' -f batch-byte-compile *.el

%install
%{__rm} -rf %{buildroot}
%{__install} -pm 755 -d %{buildroot}%{emacs_lispdir}/%{pkg}/
%{__install} -pm 755 -d %{buildroot}%{emacs_startdir}
%{__install} -pm 644 %{_builddir}/%{pkg}-%{version}/*.elc %{buildroot}%{emacs_lispdir}/%{pkg}/
%{__install} -pm 644 %{_builddir}/%{pkg}-%{version}/*.el %{buildroot}%{emacs_lispdir}/%{pkg}/	 
%{__install} -pm 644 %{SOURCE1} %{buildroot}%{emacs_startdir}


%clean
%{__rm} -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc README ChangeLog NEWS
%{emacs_lispdir}/%{pkg}/*.elc
%{emacs_startdir}/%{pkg}-init.el
%dir %{emacs_lispdir}/%{pkg}

%files el
%defattr(-,root,root,-)
%{emacs_lispdir}/%{pkg}/*.el

%changelog
* Sat Dec 12 2009 Arun SAG <sagarun [AT] gmail dot com> - 2.7.0-3
- Fixed installation in centos

* Mon Dec 7 2009 Arun SAG <sagarun [AT] gmail dot com> - 2.7.0-2
- Fixed installation failure in EL-5

* Sat Dec 5 2009 Arun SAG <sagarun [AT] gmail dot com> - 2.7.0-1
- Updated to version 2.7.0-1

* Sun Nov 15 2009 Arun SAG <sagarun [AT] gmail dot com> - 2.5.1-2
- Patch1 is moved to Source1

* Thu Oct 29 2009 Arun SAG <sagarun [AT] gmail dot com> - 2.5.1-1
- Updated to version 2.5.1

* Sun Aug 17 2009 Arun SAG <sagarun [AT] gmail dot com> - 2.4-5.20090815cvs
- Patch0 updated to include haskell-indentation-mode .
- Source0 changed,comment added for generating the source.
- Cleaned up CVS snapshot for control characters.
- Defined snapshot macro. 

* Sun Aug 16 2009 Arun SAG <sagarun [AT] gmail dot com> - 2.4-4.20090815cvs
- Fixed the snapshot date.

* Sat Aug 15 2009 Arun SAG <sagarun [AT] gmail dot com> - 2.4-3.20090815cvs
- Updated to Bugfix CVS snapshot 2.4-3.20091015cvs.
- Changelog fixed.

* Thu Aug 13 2009 Arun SAG <sagarun [AT] gmail dot com> - 2.4-2
- Fixed the Makefile.
- Cleaned the upstream source.
- Spec file updated.

* Mon Aug 11 2009 Arun SAG <sagarun [AT] gmail dot com> - 2.4-1
- Updated to haskell-mode 2.4
- Spec file is adjusted according to Fedora packaging guidelines.
- Added patch to generate haskell-mode-init.el.
- Added patch to modify the makefile. 

* Wed Feb 14 2007 Tom Moertel <tom [AT] moertel dot com> - 2.3-1.tgm
- Updated to haskell-mode 2.3

* Mon Feb 12 2007 Tom Moertel <tom [AT] moertel dot com> - 2.2-2.tgm
- Removed version suffix from package's site-lisp subdirectory
- Switched to using the default site file from the haskell-mode tarball

* Mon Feb 12 2007 Tom Moertel <tom [AT] moertel dot com> - 2.2-1.tgm
- Updated to haskell-mode 2.2
- Added NEWS, ChangeLog, and README to package docs

* Wed Nov  9 2005 Tom Moertel <tom [AT] moertel dot com> - 2.1-1.tgm
- Updated for haskell-mode 2.1

* Mon Apr 25 2005 Tom Moertel <tom [AT] moertel dot com> - 2.0-1.tgm
- Updated for haskell-mode 2.0

* Sat Nov 13 2004 Tom Moertel <tom [AT] moertel dot com> 1.45-2.tgm
- Merged changes from Carwyn Edwards <tom [AT] moertel dot com>:
- Fixed permissions on installed files
- Install non bytecode compiled versions too
- Rewrote emacs byte compilation method

* Mon May  3 2004 Tom Moertel <tom [AT] moertel dot com> 1.45-1.tgm
- Updated to 1.45 of haskell-mode
- Made GHCi the default for interactive mode (instead of Hugs)

* Wed Nov  6 2002 Tom Moertel <tom [AT] moertel dot com>
- Removed prompt and alignment patches because they are now merged into
  the main distribution

* Mon Sep  2 2002 Tom Moertel <tom [AT] moertel dot com>
- Revised patch to handle ModuleA ModuleB ... > prompts

* Sat Aug 31 2002 Tom Moertel <tom [AT] moertel dot com>
- Added patch to handle new *ModuleName> prompts

* Tue Jul 23 2002 Tom Moertel <tom [AT] moertel dot com>
- Added support for aligning rhsides on a given column

* Fri Mar 22 2002 Tom Moertel <tom [AT] moertel dot com>
- Created spec file
- Added README.RPM 
- Added site-lisp/site-start.d init file for emacs-haskell-mode
